LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XArray Interface Referencepublished

is used for mapping the SQL type com::sun::star::sdbc::DataType::ARRAY. More...

`import"XArray.idl";`

Inheritance diagram for XArray:

## Public Member Functions
string | getBaseTypeName () raises (SQLException)
| returns the SQL type name of the elements in the array designated by this `Array` object. More...
long | getBaseType () raises (SQLException)
| returns the SDBC type of the elements in the array designated by this `Array` object. More...
sequence< any > | getArray ([in]com::sun::star::container::XNameAccess typeMap) raises (SQLException)
| retrieves the contents of the SQL array designated by this `Array` object, using the specified `typeMap` for type map customizations. More...
sequence< any > | getArrayAtIndex ([in]long index, [in]long count, [in]com::sun::star::container::XNameAccess typeMap) raises (SQLException)
| returns an array containing a slice of the SQL array, beginning with the specified `index` and containing up to `count` successive elements of the SQL array. More...
XResultSet | getResultSet ([in]com::sun::star::container::XNameAccess typeMap) raises (SQLException)
| returns a result set that contains the elements of the array designated by this `Array` object and uses the given `typeMap` to map the array elements. More...
XResultSet | getResultSetAtIndex ([in]long index, [in]long count, [in]com::sun::star::container::XNameAccess typeMap) raises (SQLException)
| returns a result set holding the elements of the subarray that starts at index `index` and contains up to `count` successive elements. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used for mapping the SQL type com::sun::star::sdbc::DataType::ARRAY.

By default, an `Array` is a transaction duration reference to an SQL array. By default, an `Array` is implemented using a SQL LOCATOR(array) internally.

## Member Function Documentation

## ◆ getArray()

sequence< any > getArray | ( | [in] com::sun::star::container::XNameAccess | typeMap | ) |
raises | ( | SQLException
| ) |  |

retrieves the contents of the SQL array designated by this `Array` object, using the specified `typeMap` for type map customizations.

If the base type of the array does not match a user-defined type in `typeMap` , the standard mapping is used instead.

Parameters

  typeMap | is a map object that contains mappings of SQL type names to services. If the `typeMap` is `NULL` , the type-map associated with the connection for customizations of the type-mappings is used.

Returns
  a sequence that contains the ordered elements of the SQL array designated by this object.

Exceptions

  SQLException | if an error occurs while attempting to access the array.

## ◆ getArrayAtIndex()

sequence< any > getArrayAtIndex | ( | [in] long | index,
|  | [in] long | count,
|  | [in] com::sun::star::container::XNameAccess | typeMap
| ) |  |
raises | ( | SQLException
| ) |  |

returns an array containing a slice of the SQL array, beginning with the specified `index` and containing up to `count` successive elements of the SQL array.

Parameters

  index | is the array index of the first element to retrieve; the first element is at index 1.
  count | is the number of successive SQL array elements to retrieve.
  typeMap | is a map object that contains mappings of SQL type names to services. If the `typeMap` is `NULL` , the type-map associated with the connection for customizations of the type-mappings is used.

Returns
  an array containing up to `count` consecutive elements of the SQL array, beginning with element `index`.

Exceptions

  SQLException | if an error occurs while attempting to access the array.

## ◆ getBaseType()

long getBaseType | ( |  | ) |
raises | ( | SQLException
| ) |  |

returns the SDBC type of the elements in the array designated by this `Array` object.

Returns
  a constant from the SDBC types that is the type code for the elements in the array designated by this Array object.

Exceptions

  SQLException | if a database access error occurs.

## ◆ getBaseTypeName()

string getBaseTypeName | ( |  | ) |
raises | ( | SQLException
| ) |  |

returns the SQL type name of the elements in the array designated by this `Array` object.

If the elements are a built-in type, it returns the database-specific type name of the elements. If the elements are a user-defined type (UDT), this method returns the fully-qualified SQL type name.

Returns
  a String that is the database-specific name for a built-in base type or the fully-qualified SQL type name for a base type that is a UDT

Exceptions

  SQLException | if a database access error occurs.

## ◆ getResultSet()

XResultSet getResultSet | ( | [in] com::sun::star::container::XNameAccess | typeMap | ) |
raises | ( | SQLException
| ) |  |

returns a result set that contains the elements of the array designated by this `Array` object and uses the given `typeMap` to map the array elements.

If the base type of the array does not match a user-defined type in `typeMap` or the `typeMap` is `NULL` , the connection type mapping is used instead.

The result set contains one row for each array element, with two columns in each row. The second column stores the element value; the first column stores the index into the array for that element (with the first array element being at index 1). The rows are in ascending order corresponding to the order of the indices.

Parameters

  typeMap | contains mapping of SQL user-defined types to classes in the UNO programming language

Returns
  a ResultSet object containing one row for each of the elements in the array designated by this Array object, with the rows in ascending order based on the indices.

Exceptions

  SQLException | if a database access error occurs.

## ◆ getResultSetAtIndex()

XResultSet getResultSetAtIndex | ( | [in] long | index,
|  | [in] long | count,
|  | [in] com::sun::star::container::XNameAccess | typeMap
| ) |  |
raises | ( | SQLException
| ) |  |

returns a result set holding the elements of the subarray that starts at index `index` and contains up to `count` successive elements.

This method uses the given `typeMap` to map the array elements. If the base type of the array does not match a user-defined type in `typeMap` or the `typeMap` is `NULL` , the connection type mapping is used instead.

The result set contains one row for each array element, with two columns in each row. The second column stores the element value; the first column stores the index into the array for that element (with the first array element being at index 1). The rows are in ascending order corresponding to the order of the indices.

Parameters

  index | the array index of the first element to retrieve; the first element is at index 1.
  count | the number of successive SQL array elements to retrieve,
  typeMap | the Map object that contains the mapping of SQL type names to classes in the UNO programming language.

Returns
  a ResultSet object containing up to count consecutive elements of the SQL array designated by this Array object, starting at index index.

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XArray.idl